<?php
namespace Bushelpowered\Api\Platform\Tenant\V1\Response;
        
class AccountsForCompanySlugAndUserDataResponse 
{
    public string $tenantId;
    public string $tenantName;
    public string $datasourceId;
    public string $datasourceSlug;
    public string $userId;
    /** @var \Bushelpowered\Api\Platform\Tenant\V1\Model\AccountStandard[] $accounts */
    public array $accounts;

    /**
     * @param  \Bushelpowered\Api\Platform\Tenant\V1\Model\AccountStandard[]  $accounts 
     */
    public function __construct(string $tenantId, string $tenantName, string $datasourceId, string $datasourceSlug, string $userId, array $accounts)
    {
        $this->tenantId = $tenantId;
        $this->tenantName = $tenantName;
        $this->datasourceId = $datasourceId;
        $this->datasourceSlug = $datasourceSlug;
        $this->userId = $userId;
        $this->accounts = $accounts;
    }
    

}