<?php
namespace Bushelpowered\Api\Reporting\Tickets\V1\Request;
        
class TicketsUpsertConfigurationRequest 
{
    public string $slug;
    public bool $enabled;
    public ?string $title = null;
    public bool $truckNameEnabled;
    public bool $truckLicenseEnabled;
    public bool $truckDriverEnabled;

    /**
     */
    public function __construct(string $slug, bool $enabled, ?string $title, bool $truckNameEnabled, bool $truckLicenseEnabled, bool $truckDriverEnabled)
    {
        $this->slug = $slug;
        $this->enabled = $enabled;
        $this->title = $title;
        $this->truckNameEnabled = $truckNameEnabled;
        $this->truckLicenseEnabled = $truckLicenseEnabled;
        $this->truckDriverEnabled = $truckDriverEnabled;
    }
    

}