<?php
namespace Bushelpowered\Api\Trade\Futures\V1;
        
class GetPrivateBidsByGroupIdMetadata
{
    public function __construct(
        public ?string $requiredAuthorization,
				public ?string $requiredBidsAppCompany,
        public ?array $extraOptionalMetadata = null,
    ) {}
    
    public function getMetadata() {
        $array = [];
        
        
        if ($this->requiredAuthorization) {
            $array['Authorization'] = $this->requiredAuthorization;
        }
    
        if ($this->requiredBidsAppCompany) {
            $array['App-Company'] = $this->requiredBidsAppCompany;
        }
    
        
        return $this->extraOptionalMetadata ? array_merge($array, $this->extraOptionalMetadata) : $array;
    }
}